/******************************************************************************/
/*  ZL5ARM - LCD                                                              */
/******************************************************************************/
                  
#include <LPC21xx.H>
#include "const_bit.h"
#include "lcd.h"
				
#define del_l 0x400000
#define del_s 0x10000

void delay (unsigned int del_time);

int main (void)
{

  IODIR0 = 0xFF000000;
  IODIR1 = 0x00FF0000;

  PINSEL1 &= !(BIT26 | BIT27 | BIT28 | BIT29);

  LCDInit();

  LCDSendByte(0x01,0);				// clrscr
  delay(del_s);

  LCDSendByte(' ',1);  delay(del_l);
  LCDSendByte(' ',1);  delay(del_l);
  LCDSendByte(' ',1);  delay(del_l);
  LCDSendByte('*',1);  delay(del_l);
  LCDSendByte(' ',1);  delay(del_l);
  LCDSendByte('Z',1);  delay(del_l);
  LCDSendByte('L',1);  delay(del_l);
  LCDSendByte('5',1);  delay(del_l);
  LCDSendByte('A',1);  delay(del_l);
  LCDSendByte('R',1);  delay(del_l);
  LCDSendByte('M',1);  delay(del_l);
  LCDSendByte(' ',1);  delay(del_l);
  LCDSendByte('*',1);  delay(del_l);

  while (1)
  {
    LCDTextXY(0, 1, " * www.btc.pl * ");
    IOSET1 = 0x00FF0000;
    delay(4*del_l);

	LCDTextXY(0, 1, " www.kamami.pl  ");
	IOCLR1 = 0x00FF0000;
	delay(4*del_l);
  } // while
 

}
/////////////////////////////////////////////////////////////

void delay (unsigned int del_time) 
{ 
  unsigned int i;
  
  for(i = 0; i < del_time; i++);	   
}								    

